Your account will be charged for each request.
The cost can be calculated on the Pricing page.
Live Google Local Finder SERP
Live Google Local_finder SERP provides real-time search engine results for the specified keyword and location.
Live Google Local_finder SERP provides real-time search engine results for the specified keyword and location.
Your account will be charged for each request.
The cost can be calculated on the Pricing page.
All POST data should be sent in the JSON format (UTF-8 encoding). The task setting is done using the POST method. When setting a task, you should send all task parameters in the task array of the generic POST array. You can send up to 2000 API calls per minute, each Live SERP API call can contain only one task.
Below you will find a detailed description of the parameters that are required or recommended for setting a task.
Main Parameters
| Field name | Type | Description |
|---|---|---|
keyword | string | keyword required field you can specify up to 700 characters in the all %## will be decoded (plus character ‘+’ will be decoded to a space character) if you need to use the “%” character for your if you need to use the “+” character for your learn more about rules and limitations of |
location_code | integer | search engine location code required field if you don't specify if you use this field, you don't need to specify you can receive the list of available locations of the search engines with their example:
|
language_code | string | search engine language code required field if you don't specify if you use this field, you don't need to specify you can receive the list of available languages of the search engine with their example: |
depth | integer | parsing depth optional field number of results in SERP default value: max value: Your account will be billed per each SERP containing up to 10 results; Setting depth above 10 may result in additional charges if the search engine returns more than 10 results respectively; If the specified depth is higher than the number of results in the response, the difference will be refunded to your account balance automatically The cost can be calculated on the Pricing page. |
device | string | device type optional field return results for a specific device type can take the values: default value: |
| Field name | Type | Description |
|---|---|---|
location_name | string | full name of search engine location required field if you don't specify if you use this field, you don't need to specify you can receive the list of available locations of the search engine with their example:
|
language_name | string | full name of search engine language required field if you don't specify if you use this field, you don't need to specify you can receive the list of available languages of the search engine with their example:
|
os | string | device operating system optional field if you specify default value: if you specify default value: |
tag | string | user-defined task identifier optional field the character limit is 255 you can use this parameter to identify the task and match it with the result you will find the specified |
priority | integer | task priority optional field can take the following values: 1 – normal execution priority (set by default) 2 – high execution priority You will be additionally charged for the tasks with high execution priority. The cost can be calculated on the Pricing page. |
location_coordinate | string | GPS coordinates of a location required field if you don't specify if you use this field, you don't need to specify
if "zoom" is not specified, 9z will be applied as a default value the maximum number of decimal digits for "latitude" and "longitude": 7 the minimum value for "zoom": 4z the maximum value for "zoom": 18z example:
|
tasks array with the information specific to the set tasks.| Field name | Type | Description |
|---|---|---|
version | string | the current version of the API |
status_code | integer | general status code |
status_message | string | general informational message |
time | string | execution time, seconds |
cost | float | total tasks cost, USD |
tasks_count | integer | the number of tasks in the |
tasks_error | integer | the number of tasks in the |
tasks | array | array of tasks |
id | string | task identifier |
status_code | integer | status code of the task |
status_message | string | informational message of the task |
time | string | execution time, seconds |
cost | float | cost of the task, USD |
result_count | integer | number of elements in the |
path | array | URL path |
data | object | contains the same parameters that you specified in the POST request |
result | array | array of results |
keyword | string | keyword received in a POST array |
type | string | search engine type in a POST array |
se_domain | string | search engine domain in a POST array |
location_code | integer | location code in a POST array |
language_code | string | language code in a POST array |
check_url | string | direct URL to search engine results |
datetime | string | date and time when the result was received |
spell | object | autocorrection of the search engine |
keyword | string | keyword obtained as a result of search engine autocorrection |
type | string | type of autocorrection |
refinement_chips | object | search refinement chips |
type | string | type of element='refinement_chips' |
xpath | string | the XPath of the element |
items | array | items of the element |
type | string | type of element='refinement_chips_element' |
title | string | title of the element |
url | string | search URL with refinement parameters |
domain | string | domain in SERP |
options | array | further search refinement options |
type | string | type of element='refinement_chips_option' |
title | string | title of the element |
url | string | search URL with refinement parameters |
domain | string | domain in SERP |
item_types | array | types of search results in SERP |
se_results_count | integer | total number of results in SERP |
items_count | integer | the number of results returned in the |
items | array | elements of search results found in SERP |
local_pack | object | |
type | string | type of element='local_pack' |
rank_group | integer | group rank in SERP |
rank_absolute | integer | absolute rank in SERP |
position | string | the alignment of the element in SERP |
xpath | string | the XPath of the element |
title | string | title of the result in SERP |
description | string | description of the results element in SERP |
domain | string | domain in SERP |
phone | string | phone number |
booking_url | string | URL of the booking page |
url | string | relevant URL |
is_paid | boolean | indicates whether the element is an ad |
rating | object | the item's rating |
rating_type | string | the type of rating |
value | float | the value of the rating |
votes_count | integer | the amount of feedback |
rating_max | integer | the maximum value for a |
cid | string | google-defined client id |
rectangle | object | rectangle parameters |
Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access
# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
login="login"
password="password"
cred="$(printf ${login}:${password} | base64)"
curl --location --request POST "https://api.dataforseo.com/v3/serp/google/local_finder/live/advanced"
--header "Authorization: Basic ${cred}"
--header "Content-Type: application/json"
--data-raw '[
{
"language_code": "en",
"location_code": 2840,
"keyword": "local nail services"
}
]'<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
try {
// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
$client = new RestClient($api_url, null, 'login', 'password');
} catch (RestClientException $e) {
echo "n";
print "HTTP code: {$e->getHttpCode()}n";
print "Error code: {$e->getCode()}n";
print "Message: {$e->getMessage()}n";
print $e->getTraceAsString();
echo "n";
exit();
}
$post_array = array();
// You can set only one task at a time
$post_array[] = array(
"language_code" => "en",
"location_code" => 2840,
"keyword" => mb_convert_encoding("local nail services", "UTF-8")
);
if (count($post_array) > 0) {
try {
// POST /v3/serp/google/local_finder/live/advanced
// in addition to 'google' and 'local_finder' you can also set other search engine and type parameters
// the full list of possible parameters is available in documentation
$result = $client->post('/v3/serp/google/local_finder/live/advanced', $post_array);
print_r($result);
// do something with post result
} catch (RestClientException $e) {
echo "n";
print "HTTP code: {$e->getHttpCode()}n";
print "Error code: {$e->getCode()}n";
print "Message: {$e->getMessage()}n";
print $e->getTraceAsString();
echo "n";
}
$client = null;
?>const axios = require('axios');
axios({
method: 'post',
url: 'https://api.dataforseo.com/v3/serp/google/local_finder/live/advanced',
auth: {
username: 'login',
password: 'password'
},
data: [{
"language_code": "en",
"location_code": 2840,
"keyword": encodeURI("local nail services")
}],
headers: {
'content-type': 'application/json'
}
}).then(function (response) {
var result = response['data']['tasks'];
// Result data
console.log(result);
}).catch(function (error) {
console.log(error);
});from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip
client = RestClient("login", "password")
post_data = dict()
# You can set only one task at a time
post_data[len(post_data)] = dict(
language_code="en",
location_code=2840,
keyword="local nail services"
)
# POST /v3/serp/google/local_finder/live/advanced
# in addition to 'google' and 'local_finder' you can also set other search engine and type parameters
# the full list of possible parameters is available in documentation
response = client.post("/v3/serp/google/local_finder/live/advanced", post_data)
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response["status_code"] == 20000:
print(response)
# do something with result
else:
print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Net.Http;
using System.Threading.Tasks;
namespace DataForSeoDemos
{
public static partial class Demos
{
public static async Task serp_live_advanced()
{
var httpClient = new HttpClient
{
BaseAddress = new Uri("https://api.dataforseo.com/"),
// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
// DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
};
var postData = new List<object>();
// You can set only one task at a time
postData.Add(new
{
language_code = "en",
location_code = 2840,
keyword = "local nail services"
});
// POST /v3/serp/google/local_finder/live/advanced
// in addition to 'google' and 'local_finder' you can also set other search engine and type parameters
// the full list of possible parameters is available in documentation
var taskPostResponse = await httpClient.PostAsync("/v3/serp/google/local_finder/live/advanced", new StringContent(JsonConvert.SerializeObject(postData)));
var result = JsonConvert.DeserializeObject<dynamic>(await taskPostResponse.Content.ReadAsStringAsync());
// you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if (result.status_code == 20000)
{
// do something with result
Console.WriteLine(result);
}
else
Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
}
}
}The above command returns JSON structured like this:
{
"version": "0.1.20220819",
"status_code": 20000,
"status_message": "Ok.",
"time": "4.0522 sec.",
"cost": 0.002,
"tasks_count": 1,
"tasks_error": 0,
"tasks": [
{
"id": "09021431-0696-0139-0000-b71ffca5264c",
"status_code": 20000,
"status_message": "Ok.",
"time": "4.0304 sec.",
"cost": 0.002,
"result_count": 1,
"path": [
"v3",
"serp",
"google",
"local_finder",
"live",
"advanced"
],
"data": {
"api": "serp",
"function": "live",
"se": "google",
"se_type": "local_finder",
"language_code": "en",
"location_code": 2840,
"keyword": "local nail services",
"device": "desktop",
"os": "windows"
},
"result": [
{
"keyword": "local nail services",
"type": "local_finder",
"se_domain": "google.com",
"location_code": 2840,
"language_code": "en",
"check_url": "https://www.google.com/search?q=local+nail+services&oq=local+nail+services&tbm=lcl&uule=w+CAIQIFISCQs2MuSEtepUEUK33kOSuTsc&tbs=lrf:!1m4!1u3!2m2!3m1!1e1!1m4!1u2!2m2!2m1!1e1!1m7!1u3!3m4!3m3!5m2!2e1!3e1!4e2!2m1!1e3!2m4!1e2!5m2!2m1!2e9!3sIAE,lf:1,lf_ui:14",
"datetime": "2022-09-02 11:31:21 +00:00",
"spell": null,
"refinement_chips": null,
"item_types": [
"local_pack"
],
"se_results_count": 0,
"items_count": 20,
"items": [
{
"type": "local_pack",
"rank_group": 1,
"rank_absolute": 1,
"position": "right",
"xpath": "/html[1]/body[1]/div[6]/div[1]/div[9]/div[1]/div[1]/div[2]/div[2]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[3]/div[2]",
"title": "Liam Nails",
"description": "5+ years in business nMon: 9AM–5PM · +1 443-640-4298 n"I’ve been to many nail places in my life and so far this one is the best." n",
"domain": "kubiti.wordpress.com",
"phone": "+1 443-640-4298",
"booking_url": "https://www.google.com/maps/reserve/appt/place/ChIJp39AgCcbdkgRSd9MBU-WLOI/mid/%2Fg%2F11hhffycng?sourceurl=https://www.google.com/search?q%3Dlocal%2Bnail%2Bservices%26hl%3Den%26gl%3DGB%26ie%3DUTF-8%26uule%3Dw%2BCAIQIFISCXXeIa8LoNhHEZkq1d1aOpZS%26sei%3Dq5LCadfuLbOpkdUP5Pj36AY&source=cat&sa=X&ved=2ahUKEwjdgq-U07iTAxUcaqQEHX1OJ0AQ3YkLegQIJxAN",
"url": "https://kubiti.wordpress.com/nail-trends/?liam+nails",
"is_paid": false,
"rating": {
"rating_type": "Max5",
"value": 4.5,
"votes_count": 50,
"rating_max": 5
},
"cid": "5302726516741959894",
"rectangle": null
},
{
"type": "local_pack",
"rank_group": 2,
"rank_absolute": 2,
"position": "right",
"xpath": "/html[1]/body[1]/div[6]/div[1]/div[9]/div[1]/div[1]/div[2]/div[2]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[3]/div[4]",
"title": "Elite Nails",
"description": "10+ years in business · Bartlesville, OK, United States nMon: 9AM–7PM · +1 918-333-9888 n"Best nail experience of all time!!!!" n",
"domain": "kubiti.wordpress.com",
"phone": "+1 918-333-9888",
"booking_url": "https://www.google.com/maps/reserve/appt/place/ChIJp39AgCcbdkgRSd9MBU-WLOI/mid/%2Fg%2F11hhffycng?sourceurl=https://www.google.com/search?q%3Dlocal%2Bnail%2Bservices%26hl%3Den%26gl%3DGB%26ie%3DUTF-8%26uule%3Dw%2BCAIQIFISCXXeIa8LoNhHEZkq1d1aOpZS%26sei%3Dq5LCadfuLbOpkdUP5Pj36AY&source=cat&sa=X&ved=2ahUKEwjdgq-U07iTAxUcaqQEHX1OJ0AQ3YkLegQIJxAN",
"url": "https://kubiti.wordpress.com/nail-trends/?elite+nails",
"is_paid": false,
"rating": {
"rating_type": "Max5",
"value": 4.7,
"votes_count": 353,
"rating_max": 5
},
"cid": "17867200233795892980",
"rectangle": null
},
{
"type": "local_pack",
"rank_group": 3,
"rank_absolute": 3,
"position": "right",
"xpath": "/html[1]/body[1]/div[6]/div[1]/div[9]/div[1]/div[1]/div[2]/div[2]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[3]/div[6]",
"title": "Kim's Nails",
"description": "10+ years in business · Bartlesville, OK, United States nMon: 10AM–6PM · +1 918-331-9099 n"Thought it was a good place to get my nails done." n",
"domain": null,
"phone": "+1 918-331-9099",
"booking_url": "https://www.google.com/maps/reserve/appt/place/ChIJp39AgCcbdkgRSd9MBU-WLOI/mid/%2Fg%2F11hhffycng?sourceurl=https://www.google.com/search?q%3Dlocal%2Bnail%2Bservices%26hl%3Den%26gl%3DGB%26ie%3DUTF-8%26uule%3Dw%2BCAIQIFISCXXeIa8LoNhHEZkq1d1aOpZS%26sei%3Dq5LCadfuLbOpkdUP5Pj36AY&source=cat&sa=X&ved=2ahUKEwjdgq-U07iTAxUcaqQEHX1OJ0AQ3YkLegQIJxAN",
"url": null,
"is_paid": false,
"rating": {
"rating_type": "Max5",
"value": 4.6,
"votes_count": 150,
"rating_max": 5
},
"cid": "4930805168864698620",
"rectangle": null
},
{
"type": "local_pack",
"rank_group": 4,
"rank_absolute": 4,
"position": "right",
"xpath": "/html[1]/body[1]/div[6]/div[1]/div[9]/div[1]/div[1]/div[2]/div[2]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[3]/div[8]",
"title": "The Nailspot",
"description": "3+ years in business · Bartlesville, OK, United States · In Eastland Shopping Center nMon: 10AM–6PM · +1 918-876-4593 n"I love The Nailspot always professional and amazing nail art designs!" n",
"domain": "www.thenailspot.biz",
"phone": "+1 918-876-4593",
"booking_url": "https://www.google.com/maps/reserve/appt/place/ChIJp39AgCcbdkgRSd9MBU-WLOI/mid/%2Fg%2F11hhffycng?sourceurl=https://www.google.com/search?q%3Dlocal%2Bnail%2Bservices%26hl%3Den%26gl%3DGB%26ie%3DUTF-8%26uule%3Dw%2BCAIQIFISCXXeIa8LoNhHEZkq1d1aOpZS%26sei%3Dq5LCadfuLbOpkdUP5Pj36AY&source=cat&sa=X&ved=2ahUKEwjdgq-U07iTAxUcaqQEHX1OJ0AQ3YkLegQIJxAN",
"url": "http://www.thenailspot.biz/",
"is_paid": false,
"rating": {
"rating_type": "Max5",
"value": 4.9,
"votes_count": 160,
"rating_max": 5
},
"cid": "12480940054693735955",
"rectangle": null
},
{
"type": "local_pack",
"rank_group": 5,
"rank_absolute": 5,
"position": "right",
"xpath": "/html[1]/body[1]/div[6]/div[1]/div[9]/div[1]/div[1]/div[2]/div[2]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[3]/div[10]",
"title": "KATE Nail Salon",
"description": "Owasso, OK, United States · In Reasor's nMon: 10AM–5PM · +1 918-401-4288 n"I absolutely loved my nails from here!!" n",
"domain": "www.facebook.com",
"phone": "+1 918-401-4288",
"booking_url": "https://www.google.com/maps/reserve/appt/place/ChIJp39AgCcbdkgRSd9MBU-WLOI/mid/%2Fg%2F11hhffycng?sourceurl=https://www.google.com/search?q%3Dlocal%2Bnail%2Bservices%26hl%3Den%26gl%3DGB%26ie%3DUTF-8%26uule%3Dw%2BCAIQIFISCXXeIa8LoNhHEZkq1d1aOpZS%26sei%3Dq5LCadfuLbOpkdUP5Pj36AY&source=cat&sa=X&ved=2ahUKEwjdgq-U07iTAxUcaqQEHX1OJ0AQ3YkLegQIJxAN",
"url": "https://www.facebook.com/katenailok/",
"is_paid": false,
"rating": {
"rating_type": "Max5",
"value": 4.8,
"votes_count": 143,
"rating_max": 5
},
"cid": "14192547868485754516",
"rectangle": null
},
{
"type": "local_pack",
"rank_group": 6,
"rank_absolute": 6,
"position": "right",
"xpath": "/html[1]/body[1]/div[6]/div[1]/div[9]/div[1]/div[1]/div[2]/div[2]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[3]/div[12]",
"title": "Humble Bees Nail Spa",
"description": "Joplin, MO, United States · In Crown Plaza nMon: 9AM–7PM · +1 417-553-0144 n"The nail technicians are wonderful, plus I love the atmosphere!" n",
"domain": "www.humblebeesnail.com",
"phone": "+1 417-553-0144",
"booking_url": "https://www.google.com/maps/reserve/appt/place/ChIJp39AgCcbdkgRSd9MBU-WLOI/mid/%2Fg%2F11hhffycng?sourceurl=https://www.google.com/search?q%3Dlocal%2Bnail%2Bservices%26hl%3Den%26gl%3DGB%26ie%3DUTF-8%26uule%3Dw%2BCAIQIFISCXXeIa8LoNhHEZkq1d1aOpZS%26sei%3Dq5LCadfuLbOpkdUP5Pj36AY&source=cat&sa=X&ved=2ahUKEwjdgq-U07iTAxUcaqQEHX1OJ0AQ3YkLegQIJxAN",
"url": "https://www.humblebeesnail.com/",
"is_paid": false,
"rating": {
"rating_type": "Max5",
"value": 4.8,
"votes_count": 688,
"rating_max": 5
},
"cid": "1529620928837849201",
"rectangle": null
},
{
"type": "local_pack",
"rank_group": 7,
"rank_absolute": 7,
"position": "right",
"xpath": "/html[1]/body[1]/div[6]/div[1]/div[9]/div[1]/div[1]/div[2]/div[2]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[3]/div[14]",
"title": "Bellagio Nail Lounge",
"description": "Webb City, MO, United States · In Madison Square nMon: 9AM–7PM · +1 417-717-5026 n"This is my new nail place!" n",
"domain": "bellagionailloungewebbcity.com",
"phone": "+1 417-717-5026",
"booking_url": "https://www.google.com/maps/reserve/appt/place/ChIJp39AgCcbdkgRSd9MBU-WLOI/mid/%2Fg%2F11hhffycng?sourceurl=https://www.google.com/search?q%3Dlocal%2Bnail%2Bservices%26hl%3Den%26gl%3DGB%26ie%3DUTF-8%26uule%3Dw%2BCAIQIFISCXXeIa8LoNhHEZkq1d1aOpZS%26sei%3Dq5LCadfuLbOpkdUP5Pj36AY&source=cat&sa=X&ved=2ahUKEwjdgq-U07iTAxUcaqQEHX1OJ0AQ3YkLegQIJxAN",
"url": "https://bellagionailloungewebbcity.com/",
"is_paid": false,
"rating": {
"rating_type": "Max5",
"value": 4.9,
"votes_count": 120,
"rating_max": 5
},
"cid": "15457043881368533418",
"rectangle": null
},
{
"type": "local_pack",
"rank_group": 8,
"rank_absolute": 8,
"position": "right",
"xpath": "/html[1]/body[1]/div[6]/div[1]/div[9]/div[1]/div[1]/div[2]/div[2]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[3]/div[16]",
"title": "Reflections Salon & Spa",
"description": "7+ years in business · Independence, KS, United States nMon: 10AM–5:30PM · +1 620-331-0925 n"One nail had to be tipped because it had broken off short." n",
"domain": "site2trust.com",
"phone": "+1 620-331-0925",
"booking_url": "https://www.google.com/maps/reserve/appt/place/ChIJp39AgCcbdkgRSd9MBU-WLOI/mid/%2Fg%2F11hhffycng?sourceurl=https://www.google.com/search?q%3Dlocal%2Bnail%2Bservices%26hl%3Den%26gl%3DGB%26ie%3DUTF-8%26uule%3Dw%2BCAIQIFISCXXeIa8LoNhHEZkq1d1aOpZS%26sei%3Dq5LCadfuLbOpkdUP5Pj36AY&source=cat&sa=X&ved=2ahUKEwjdgq-U07iTAxUcaqQEHX1OJ0AQ3YkLegQIJxAN",
"url": "https://site2trust.com/browse-category/beauty-and-personal-care",
"is_paid": false,
"rating": {
"rating_type": "Max5",
"value": 4.5,
"votes_count": 38,
"rating_max": 5
},
"cid": "1852682742792509771",
"rectangle": null
},
{
"type": "local_pack",
"rank_group": 9,
"rank_absolute": 9,
"position": "right",
"xpath": "/html[1]/body[1]/div[6]/div[1]/div[9]/div[1]/div[1]/div[2]/div[2]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[3]/div[18]",
"title": "LEE NAILS SPA",
"description": "3+ years in business · Owasso, OK, United States nMon: 9:30AM–7PM · +1 918-516-2018 n"I will 100% continue to come here for my nails." n",
"domain": "leenailsspaowasso.com",
"phone": "+1 918-516-2018",
"booking_url": "https://www.google.com/maps/reserve/appt/place/ChIJp39AgCcbdkgRSd9MBU-WLOI/mid/%2Fg%2F11hhffycng?sourceurl=https://www.google.com/search?q%3Dlocal%2Bnail%2Bservices%26hl%3Den%26gl%3DGB%26ie%3DUTF-8%26uule%3Dw%2BCAIQIFISCXXeIa8LoNhHEZkq1d1aOpZS%26sei%3Dq5LCadfuLbOpkdUP5Pj36AY&source=cat&sa=X&ved=2ahUKEwjdgq-U07iTAxUcaqQEHX1OJ0AQ3YkLegQIJxAN",
"url": "https://leenailsspaowasso.com/",
"is_paid": false,
"rating": {
"rating_type": "Max5",
"value": 4.8,
"votes_count": 150,
"rating_max": 5
},
"cid": "2509344316202225659",
"rectangle": null
},
{
"type": "local_pack",
"rank_group": 10,
"rank_absolute": 10,
"position": "right",
"xpath": "/html[1]/body[1]/div[6]/div[1]/div[9]/div[1]/div[1]/div[2]/div[2]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[3]/div[20]",
"title": "Lush Nail Bar",
"description": "Broken Arrow, OK, United States nMon: 9AM–7PM · +1 918-994-6399 n"This is my favorite nail bar..!" n",
"domain": "vnailweb.com",
"phone": "+1 918-994-6399",
"booking_url": "https://www.google.com/maps/reserve/appt/place/ChIJp39AgCcbdkgRSd9MBU-WLOI/mid/%2Fg%2F11hhffycng?sourceurl=https://www.google.com/search?q%3Dlocal%2Bnail%2Bservices%26hl%3Den%26gl%3DGB%26ie%3DUTF-8%26uule%3Dw%2BCAIQIFISCXXeIa8LoNhHEZkq1d1aOpZS%26sei%3Dq5LCadfuLbOpkdUP5Pj36AY&source=cat&sa=X&ved=2ahUKEwjdgq-U07iTAxUcaqQEHX1OJ0AQ3YkLegQIJxAN",
"url": "https://vnailweb.com/lush-nail-bar-nail-salon-near-me-broken-arrow-ok-74012/",
"is_paid": false,
"rating": {
"rating_type": "Max5",
"value": 4.6,
"votes_count": 364,
"rating_max": 5
},
"cid": "2866933479710100417",
"rectangle": null
},
{
"type": "local_pack",
"rank_group": 11,
"rank_absolute": 11,
"position": "right",
"xpath": "/html[1]/body[1]/div[6]/div[1]/div[9]/div[1]/div[1]/div[2]/div[2]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[3]/div[22]",
"title": "Nail Tech",
"description": "10+ years in business · Joplin, MO, United States · In Southside Shopping Center nMon: 9AM–7PM · +1 417-206-9499 n"Hands down favorite nail salon!" n",
"domain": "kubiti.wordpress.com",
"phone": "+1 417-206-9499",
"booking_url": "https://www.google.com/maps/reserve/appt/place/ChIJp39AgCcbdkgRSd9MBU-WLOI/mid/%2Fg%2F11hhffycng?sourceurl=https://www.google.com/search?q%3Dlocal%2Bnail%2Bservices%26hl%3Den%26gl%3DGB%26ie%3DUTF-8%26uule%3Dw%2BCAIQIFISCXXeIa8LoNhHEZkq1d1aOpZS%26sei%3Dq5LCadfuLbOpkdUP5Pj36AY&source=cat&sa=X&ved=2ahUKEwjdgq-U07iTAxUcaqQEHX1OJ0AQ3YkLegQIJxAN",
"url": "https://kubiti.wordpress.com/nail-trends/?nail+tech",
"is_paid": false,
"rating": {
"rating_type": "Max5",
"value": 4.6,
"votes_count": 64,
"rating_max": 5
},
"cid": "2079100440959176574",
"rectangle": null
},
{
"type": "local_pack",
"rank_group": 12,
"rank_absolute": 12,
"position": "right",
"xpath": "/html[1]/body[1]/div[6]/div[1]/div[9]/div[1]/div[1]/div[2]/div[2]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[3]/div[24]",
"title": "Mon Amie Nails and Spa",
"description": "Tulsa, OK, United States nMon: 9AM–7PM · +1 918-584-8176 n"Good for the nails, good for the soul!" n",
"domain": "www.monamiespa.com",
"phone": "+1 918-584-8176",
"booking_url": "https://www.google.com/maps/reserve/appt/place/ChIJp39AgCcbdkgRSd9MBU-WLOI/mid/%2Fg%2F11hhffycng?sourceurl=https://www.google.com/search?q%3Dlocal%2Bnail%2Bservices%26hl%3Den%26gl%3DGB%26ie%3DUTF-8%26uule%3Dw%2BCAIQIFISCXXeIa8LoNhHEZkq1d1aOpZS%26sei%3Dq5LCadfuLbOpkdUP5Pj36AY&source=cat&sa=X&ved=2ahUKEwjdgq-U07iTAxUcaqQEHX1OJ0AQ3YkLegQIJxAN",
"url": "https://www.monamiespa.com/",
"is_paid": false,
"rating": {
"rating_type": "Max5",
"value": 4.9,
"votes_count": 469,
"rating_max": 5
},
"cid": "4171968824820092118",
"rectangle": null
},
{
"type": "local_pack",
"rank_group": 13,
"rank_absolute": 13,
"position": "right",
"xpath": "/html[1]/body[1]/div[6]/div[1]/div[9]/div[1]/div[1]/div[2]/div[2]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[3]/div[26]",
"title": "Magic Nails",
"description": "10+ years in business · Bentonville, AR, United States nMon: 10AM–6PM · +1 479-273-0008 n"I absolutely love going here to get my nails done!" n",
"domain": "m.facebook.com",
"phone": "+1 479-273-0008",
"booking_url": "https://www.google.com/maps/reserve/appt/place/ChIJp39AgCcbdkgRSd9MBU-WLOI/mid/%2Fg%2F11hhffycng?sourceurl=https://www.google.com/search?q%3Dlocal%2Bnail%2Bservices%26hl%3Den%26gl%3DGB%26ie%3DUTF-8%26uule%3Dw%2BCAIQIFISCXXeIa8LoNhHEZkq1d1aOpZS%26sei%3Dq5LCadfuLbOpkdUP5Pj36AY&source=cat&sa=X&ved=2ahUKEwjdgq-U07iTAxUcaqQEHX1OJ0AQ3YkLegQIJxAN",
"url": "https://m.facebook.com/Magic-Nails-105426367618355/?ref=bookmarks",
"is_paid": false,
"rating": {
"rating_type": "Max5",
"value": 4.7,
"votes_count": 70,
"rating_max": 5
},
"cid": "6737696406619835671",
"rectangle": null
},
{
"type": "local_pack",
"rank_group": 14,
"rank_absolute": 14,
"position": "right",
"xpath": "/html[1]/body[1]/div[6]/div[1]/div[9]/div[1]/div[1]/div[2]/div[2]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[3]/div[28]",
"title": "Xtreme Nails",
"description": "10+ years in business · Broken Arrow, OK, United States nMon: 10AM–7PM · +1 918-615-3434 nTakeaway · No delivery n",
"domain": "www.facebook.com",
"phone": "+1 918-615-3434",
"booking_url": "https://www.google.com/maps/reserve/appt/place/ChIJp39AgCcbdkgRSd9MBU-WLOI/mid/%2Fg%2F11hhffycng?sourceurl=https://www.google.com/search?q%3Dlocal%2Bnail%2Bservices%26hl%3Den%26gl%3DGB%26ie%3DUTF-8%26uule%3Dw%2BCAIQIFISCXXeIa8LoNhHEZkq1d1aOpZS%26sei%3Dq5LCadfuLbOpkdUP5Pj36AY&source=cat&sa=X&ved=2ahUKEwjdgq-U07iTAxUcaqQEHX1OJ0AQ3YkLegQIJxAN",
"url": "http://www.facebook.com/xtremenailsBAOK/",
"is_paid": false,
"rating": {
"rating_type": "Max5",
"value": 4.5,
"votes_count": 161,
"rating_max": 5
},
"cid": "17518792514080419735",
"rectangle": null
},
{
"type": "local_pack",
"rank_group": 15,
"rank_absolute": 15,
"position": "right",
"xpath": "/html[1]/body[1]/div[6]/div[1]/div[9]/div[1]/div[1]/div[2]/div[2]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[3]/div[30]",
"title": "Bally's Nails",
"description": "10+ years in business · Tulsa, OK, United States nMon: 10AM–7PM · +1 918-742-4340 n"I really want to thank you so much, Natalie, for fixing my nail." n",
"domain": "ballynailstulsa.com",
"phone": "+1 918-742-4340",
"booking_url": "https://www.google.com/maps/reserve/appt/place/ChIJp39AgCcbdkgRSd9MBU-WLOI/mid/%2Fg%2F11hhffycng?sourceurl=https://www.google.com/search?q%3Dlocal%2Bnail%2Bservices%26hl%3Den%26gl%3DGB%26ie%3DUTF-8%26uule%3Dw%2BCAIQIFISCXXeIa8LoNhHEZkq1d1aOpZS%26sei%3Dq5LCadfuLbOpkdUP5Pj36AY&source=cat&sa=X&ved=2ahUKEwjdgq-U07iTAxUcaqQEHX1OJ0AQ3YkLegQIJxAN",
"url": "https://ballynailstulsa.com/",
"is_paid": false,
"rating": {
"rating_type": "Max5",
"value": 4.5,
"votes_count": 188,
"rating_max": 5
},
"cid": "10346393581796099215",
"rectangle": null
},
{
"type": "local_pack",
"rank_group": 16,
"rank_absolute": 16,
"position": "right",
"xpath": "/html[1]/body[1]/div[6]/div[1]/div[9]/div[1]/div[1]/div[2]/div[2]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[3]/div[32]",
"title": "Nail Focus",
"description": "5+ years in business · Claremore, OK, United States · In The Market nMon: 10AM–7PM · +1 918-341-7900 n"My nails are not easy to do because of my short wide nail beds." n",
"domain": "kubiti.wordpress.com",
"phone": "+1 918-341-7900",
"booking_url": "https://www.google.com/maps/reserve/appt/place/ChIJp39AgCcbdkgRSd9MBU-WLOI/mid/%2Fg%2F11hhffycng?sourceurl=https://www.google.com/search?q%3Dlocal%2Bnail%2Bservices%26hl%3Den%26gl%3DGB%26ie%3DUTF-8%26uule%3Dw%2BCAIQIFISCXXeIa8LoNhHEZkq1d1aOpZS%26sei%3Dq5LCadfuLbOpkdUP5Pj36AY&source=cat&sa=X&ved=2ahUKEwjdgq-U07iTAxUcaqQEHX1OJ0AQ3YkLegQIJxAN",
"url": "https://kubiti.wordpress.com/nail-trends/?nail+focus",
"is_paid": false,
"rating": {
"rating_type": "Max5",
"value": 4.5,
"votes_count": 77,
"rating_max": 5
},
"cid": "6191133628297990316",
"rectangle": null
},
{
"type": "local_pack",
"rank_group": 17,
"rank_absolute": 17,
"position": "right",
"xpath": "/html[1]/body[1]/div[6]/div[1]/div[9]/div[1]/div[1]/div[2]/div[2]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[3]/div[34]",
"title": "VOCO Nails",
"description": "7+ years in business · Broken Arrow, OK, United States · In Quail Run nMon: 9:30AM–7PM · +1 918-679-0246 n"Best nail experience I’ve ever had." n",
"domain": "www.facebook.com",
"phone": "+1 918-679-0246",
"booking_url": "https://www.google.com/maps/reserve/appt/place/ChIJp39AgCcbdkgRSd9MBU-WLOI/mid/%2Fg%2F11hhffycng?sourceurl=https://www.google.com/search?q%3Dlocal%2Bnail%2Bservices%26hl%3Den%26gl%3DGB%26ie%3DUTF-8%26uule%3Dw%2BCAIQIFISCXXeIa8LoNhHEZkq1d1aOpZS%26sei%3Dq5LCadfuLbOpkdUP5Pj36AY&source=cat&sa=X&ved=2ahUKEwjdgq-U07iTAxUcaqQEHX1OJ0AQ3YkLegQIJxAN",
"url": "https://www.facebook.com/HeatherLeTul",
"is_paid": false,
"rating": {
"rating_type": "Max5",
"value": 4.5,
"votes_count": 53,
"rating_max": 5
},
"cid": "5952138210777509341",
"rectangle": null
},
{
"type": "local_pack",
"rank_group": 18,
"rank_absolute": 18,
"position": "right",
"xpath": "/html[1]/body[1]/div[6]/div[1]/div[9]/div[1]/div[1]/div[2]/div[2]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[3]/div[36]",
"title": "LV Nails",
"description": "10+ years in business · Broken Arrow, OK, United States · In Arrow Village Shopping Center nMon: 9:30AM–7:30PM · +1 918-251-8777 n"When I would go to other places my nails would always chip or crack." n",
"domain": "m.facebook.com",
"phone": "+1 918-251-8777",
"booking_url": "https://www.google.com/maps/reserve/appt/place/ChIJp39AgCcbdkgRSd9MBU-WLOI/mid/%2Fg%2F11hhffycng?sourceurl=https://www.google.com/search?q%3Dlocal%2Bnail%2Bservices%26hl%3Den%26gl%3DGB%26ie%3DUTF-8%26uule%3Dw%2BCAIQIFISCXXeIa8LoNhHEZkq1d1aOpZS%26sei%3Dq5LCadfuLbOpkdUP5Pj36AY&source=cat&sa=X&ved=2ahUKEwjdgq-U07iTAxUcaqQEHX1OJ0AQ3YkLegQIJxAN",
"url": "https://m.facebook.com/profile.php?id=100063803643102&fref=nf&_rdr",
"is_paid": false,
"rating": {
"rating_type": "Max5",
"value": 4.5,
"votes_count": 91,
"rating_max": 5
},
"cid": "13974777229434172959",
"rectangle": null
},
{
"type": "local_pack",
"rank_group": 19,
"rank_absolute": 19,
"position": "right",
"xpath": "/html[1]/body[1]/div[6]/div[1]/div[9]/div[1]/div[1]/div[2]/div[2]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[3]/div[38]",
"title": "Nail Status",
"description": "Grove, OK, United States nMon: 9AM–6PM · +1 918-787-9940 n"My favorite nail place" n",
"domain": null,
"phone": "+1 918-787-9940",
"booking_url": "https://www.google.com/maps/reserve/appt/place/ChIJp39AgCcbdkgRSd9MBU-WLOI/mid/%2Fg%2F11hhffycng?sourceurl=https://www.google.com/search?q%3Dlocal%2Bnail%2Bservices%26hl%3Den%26gl%3DGB%26ie%3DUTF-8%26uule%3Dw%2BCAIQIFISCXXeIa8LoNhHEZkq1d1aOpZS%26sei%3Dq5LCadfuLbOpkdUP5Pj36AY&source=cat&sa=X&ved=2ahUKEwjdgq-U07iTAxUcaqQEHX1OJ0AQ3YkLegQIJxAN",
"url": null,
"is_paid": false,
"rating": {
"rating_type": "Max5",
"value": 4.7,
"votes_count": 48,
"rating_max": 5
},
"cid": "2325380371126469804",
"rectangle": null
},
{
"type": "local_pack",
"rank_group": 20,
"rank_absolute": 20,
"position": "right",
"xpath": "/html[1]/body[1]/div[6]/div[1]/div[9]/div[1]/div[1]/div[2]/div[2]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[1]/div[3]/div[40]",
"title": "Quincy nail bar",
"description": "Joplin, MO, United States nMon: 10AM–7:30PM · +1 417-553-0652 n"Also the gel nails are great" n",
"domain": "kubiti.wordpress.com",
"phone": "+1 417-553-0652",
"booking_url": "https://www.google.com/maps/reserve/appt/place/ChIJp39AgCcbdkgRSd9MBU-WLOI/mid/%2Fg%2F11hhffycng?sourceurl=https://www.google.com/search?q%3Dlocal%2Bnail%2Bservices%26hl%3Den%26gl%3DGB%26ie%3DUTF-8%26uule%3Dw%2BCAIQIFISCXXeIa8LoNhHEZkq1d1aOpZS%26sei%3Dq5LCadfuLbOpkdUP5Pj36AY&source=cat&sa=X&ved=2ahUKEwjdgq-U07iTAxUcaqQEHX1OJ0AQ3YkLegQIJxAN",
"url": "https://kubiti.wordpress.com/nail-trends/?quincy+nail+bar",
"is_paid": false,
"rating": {
"rating_type": "Max5",
"value": 4.5,
"votes_count": 127,
"rating_max": 5
},
"cid": "2417129273791838327",
"rectangle": null
}
]
}
]
}
]
}